MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027025Open CASCADE[OCCT] OCCT:Configurationpublic2015-12-21 18:272016-04-20 15:50
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSUbuntuOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027025: Configuration, CMake - do not get properties from non-VTK targets
DescriptionCMake parses properties of each VTK target to find out binary paths of VTK.

VTK_LIBRARIES variable (result variable of find_package(VTK)) is able to contain external non-VTK library names (libz, libgp2ps and etc)

CMake should not parse the external libraries on getting specific properties
Steps To Reproduce1. generate makefiles on Ubuntu with VTK
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049388)
git (administrator)
2015-12-21 18:28

Branch CR27025 has been created by ibs.

SHA-1: 0fe0696ba44404ed9d767fd2a8877d81de5e0fb9


Detailed log of new commits:

Author: ibs
Date: Mon Dec 21 18:18:41 2015 +0300

    get properties only from vtk targets
(0049389)
ibs (developer)
2015-12-21 18:31

dear ski,
please review CR27025 branch of OCCT git
(0052959)
git (administrator)
2016-04-17 13:46

Branch CR27025 has been deleted by kgv.

SHA-1: 0fe0696ba44404ed9d767fd2a8877d81de5e0fb9

- Related Changesets
occt: master 8f1f5a45
Timestamp: 2015-12-21 15:18:41
Author: ibs
Committer: bugmaster
Details ] Diff ]
0027025: Configuration, CMake - do not get properties from non-VTK targets
mod - adm/cmake/vtk.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-21 18:27 ibs New Issue
2015-12-21 18:27 ibs Assigned To => ibs
2015-12-21 18:28 git Note Added: 0049388
2015-12-21 18:29 ibs Description Updated View Revisions
2015-12-21 18:31 ibs Note Added: 0049389
2015-12-21 18:31 ibs Assigned To ibs => ski
2015-12-21 18:31 ibs Status new => resolved
2015-12-21 18:31 ibs Steps to Reproduce Updated View Revisions
2015-12-22 11:35 ibs Assigned To ski => bugmaster
2015-12-22 11:35 ibs Status resolved => reviewed
2015-12-22 14:48 bugmaster Status reviewed => tested
2015-12-25 19:04 bugmaster Changeset attached => occt master 8f1f5a45
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052959
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker